rte_mempool_ops_table(3)

NAME
rte_mempool_ops_table

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

rte_spinlock_t sl
uint32_t num_ops
struct rte_mempool_ops ops [RTE_MEMPOOL_MAX_OPS_IDX]

Detailed Description

Structure storing the table of registered ops structs, each of which contain the function pointers for the mempool ops functions. Each process has its own storage for this ops struct array so that the mempools can be shared across primary and secondary processes. The indices used to access the array are valid across processes, whereas any function pointers stored directly in the mempool struct would not be. This results in us simply having "ops_index" in the mempool struct.

Definition at line 730 of file rte_mempool.h.

Field Documentation

  rte_spinlock_t sl
Spinlock for add/delete.

Definition at line 731 of file rte_mempool.h.

  uint32_t num_ops
Number of used ops structs in the table.

Definition at line 732 of file rte_mempool.h.

  struct rte_mempool_ops ops[RTE_MEMPOOL_MAX_OPS_IDX]
Storage for all possible ops structs.

Definition at line 736 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.